<?php
/**
 * @package Startup Solutions
 * @subpackage startup-solutions
 * @since startup-solutions 1.0
 * Setup the WordPress core custom header feature.
 * @uses startup_solutions_header_style()
*/

function startup_solutions_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'startup_solutions_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1400,
		'height'                 => 70,
		'flex-width'         	=> true,
        'flex-height'        	=> true,
		'wp-head-callback'       => 'startup_solutions_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'startup_solutions_custom_header_setup' );

if ( ! function_exists( 'startup_solutions_header_style' ) ) :

add_action( 'wp_enqueue_scripts', 'startup_solutions_header_style' );
function startup_solutions_header_style() {
	if ( get_header_image() ) :
	$startup_solutions_custom_css = "
        .page-template-home-page .topbar, .topbar{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
			background-size: cover;
		}";
	   	wp_add_inline_style( 'startup-solutions-basic-style', $startup_solutions_custom_css );
	endif;
}
endif;